#!/usr/bin/env python3

import boto3
import requests

# AWS authentication.
AWS_ACCESS_KEY = ''
AWS_SECRET_KEY = ''

r53 = boto3.client('route53',
                   aws_access_key_id=AWS_ACCESS_KEY,
                   aws_secret_access_key=AWS_SECRET_KEY)


# Get the IP address.
r = requests.get('https://checkip.amazonaws.com')
ip = r.text

# Configure the request values.
HOSTED_ZONE_ID = ''

CHANGE_BATCH_TEMPLATE = {
    'Changes': [{
        'Action': 'UPSERT',
        'ResourceRecordSet': {
            'Name': '',
            'Type': 'A',
            'TTL': 60,
            'ResourceRecords': [{'Value': ip}]
        },

    }],
    'Comment': 'Dynamic DNS update.'
}

# Submit the request.
r53.change_resource_record_sets(ChangeBatch=CHANGE_BATCH_TEMPLATE, HostedZoneId=HOSTED_ZONE_ID)
